> For the complete documentation index, see [llms.txt](https://earnbit.gitbook.io/earnbit/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://earnbit.gitbook.io/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/my-active-orders.md).

# My Active Orders

## Details

<mark style="color:green;">`POST`</mark> `https://api.earnbit.com/api/v1/orders`

#### Headers

| Name                                              | Type   | Description                                                                                                               |
| ------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------- |
| X-TXC-APIKEY<mark style="color:red;">\*</mark>    | STRING | Public [API key](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) |
| X-TXC-PAYLOAD<mark style="color:red;">\*</mark>   | STRING | Сonverted Base64 string containing body JSON                                                                              |
| X-TXC-SIGNATURE<mark style="color:red;">\*</mark> | STRING | Encrypted HmacSHA512 string containing body JSON with a API secret key                                                    |

#### Request Body

| Name                                      | Type    | Description                                                                                                                                                              | Example        |
| ----------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------- |
| market<mark style="color:red;">\*</mark>  | STRING  | Any public pair                                                                                                                                                          | BTC\_USDT      |
| offset                                    | STRING  | Default: 0                                                                                                                                                               | 0              |
| limit                                     | STRING  | Default: 50                                                                                                                                                              | 10             |
| request<mark style="color:red;">\*</mark> | STRING  | A request path without the domain name                                                                                                                                   | /api/v1/orders |
| nonce<mark style="color:red;">\*</mark>   | NUMERIC | A 13-character number that must always be greater than the nonce of the previous completed request (we suggest generating a nonce as the UNIX timestamp in milliseconds) | 1704070810000  |

<details>

<summary>CURL Example</summary>

```javascript
curl --location --request POST 'https://api.earnbit.com/api/v1/orders' \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-PAYLOAD: 0000000000XXXXXXXXXXXXXXXXX==' \
--header 'X-TXC-SIGNATURE: 0000000000XXXXXXXXXXXXXXXXX' \
--data-raw '{"request":"/api/v1/orders","market":"BTC_USDT","offset":0,"limit":10,"nonce":1704070810000}'
```

</details>

{% tabs %}
{% tab title="200: OK Successful" %}
{% tabs %}
{% tab title="Response Parameters:" %}

<table><thead><tr><th width="122" align="center">Name</th><th align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td align="center">id</td><td align="center">STRING</td><td>Order ID</td></tr><tr><td align="center">left</td><td align="center">STRING</td><td>Available order amount (order is finished = 0)</td></tr><tr><td align="center">market</td><td align="center">STRING</td><td>Pair name</td></tr><tr><td align="center">amount</td><td align="center">STRING</td><td>Order amount (in 1st ticker of the pair)</td></tr><tr><td align="center">type</td><td align="center">STRING</td><td>Order type (limit / market)</td></tr><tr><td align="center">price</td><td align="center">STRING</td><td>Order price</td></tr><tr><td align="center">timestamp</td><td align="center">NUMERIC</td><td>Time of order creation (TimeStamp format)</td></tr><tr><td align="center">side</td><td align="center">STRING</td><td>Order side (buy / sell)</td></tr><tr><td align="center">takerFee</td><td align="center">STRING</td><td>Order taker fee</td></tr><tr><td align="center">makerFee</td><td align="center">STRING</td><td>Order maker fee</td></tr><tr><td align="center">dealStock</td><td align="center">STRING</td><td>Executed order amount (in 1st ticker of the pair)</td></tr><tr><td align="center">dealMoney</td><td align="center">STRING</td><td>Executed order amount (in 2nd ticker of the pair)</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

```javascript

{
    "code": 200,
    "success": true,
    "message": "",
    "result": {
        "limit": 10,
        "offset": 0,
        "total": 2,
        "result": [
            {
                "id": 1041010167,
                "left": "0.1",
                "market": "BTC_USDT",
                "amount": "0.1",
                "type": "limit",
                "price": "60000",
                "timestamp": 1727792722.521000,
                "side": "buy",
                "takerFee": "0.000425",
                "makerFee": "0.000425",
                "dealStock": "0",
                "dealMoney": "0"
            },
            ...
        ]
    }
}
```

{% endtab %}

{% tab title="400: Bad Request " %}
**Response example 1:**

```javascript
{
    "code": 400,
    "success": false,
    "message": "authentication failure",
    "result": []
}
```

**This error occurs in the following cases:**

* The request was signed incorrectly.
* Some of the provided parameters are incorrect.
* Provided [nonce](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) is incorrect or less than on previous completed request
* The base URL or path is incorrect.
* The API keys are not [activated](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md).

**Response example 2:**

```json
{
    "code": 400,
    "success": false,
    "message": "invalid input",
    "result": []
}
```

**This error occurs in the following cases:**

* One or more body params provided incorrectly
* Required body params are not provided
  {% endtab %}

{% tab title="404: Not Found" %}
**Response example:**

```javascript
{    
    "timestamp": 1660811292806,
    "status": 404,
    "error": "Not Found",
    "message": "",
    "path": "/api/v1/order/test"
}
```

**This error occurs in the following cases:**

* The request was made with undefined data and the service cannot find the data for response.
  {% endtab %}
  {% endtabs %}
